%if 0%{?fedora} >= 23 || 0%{?rhel} >= 8
%global ftpackage python2-fonttools
%else
%global ftpackage fonttools
%endif

Name:           ttname
Version:        1
Release:        7%{?dist}
Summary:        CLI font metadata editor
BuildArch:      noarch

License:        BSD
URL:            https://github.com/tchollingsworth/ttname
Source0:        https://pypi.python.org/packages/source/t/%{name}/%{name}-%{version}.tar.gz
# upstream commit 0a352b9a3b6aeb558e3cd4d2939a24321dd7b0dc
Patch0:         0001-fix-output-with-unicode-characters.patch
# https://github.com/tchollingsworth/ttname/pull/1
Patch1:         0002-cope-with-fonttools-2.5.patch
Patch2:         0003-deal-better-with-stdout-as-output.patch

BuildRequires:  python2-devel python-setuptools

# for tests
BuildRequires:  %{ftpackage}
BuildRequires:  python-nose
BuildRequires:  python-lxml
BuildRequires:  fontconfig

# for entrypoint magic
Requires:       python-setuptools
# for normal runtime
Requires:       %{ftpackage}
Requires:       python-lxml

%description
A CLI interface for editing the "name" table that contains the metadata in
TrueType and OpenType fonts.

%prep
%setup -q

%patch0 -p1 -b .unicode
%patch1 -p1 -b .fonttools25
%patch2 -p1 -b .stdout

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
nosetests -vx
 
%files
%{python_sitelib}/ttname
%{python_sitelib}/ttname-*.egg-info
%{_bindir}/ttname
%{_mandir}/man1/ttname.1.*
%doc LICENSE

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 Nils Philippsen <nils@redhat.com> - 1-6
- require python2-fonttools only from Fedora 23 on

* Wed Nov 04 2015 Nils Philippsen <nils@redhat.com> - 1-5
- include upstream patch to fix output with unicode characters (#1052342)
- fix to build from source (#1240079):
    - cope with fonttools 2.5 and higher
    - avoid messing up writing files to stdout
- require python2-fonttools (#1271794)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 29 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1-2
- use python2 in the right place

* Tue Aug 27 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1-1
- initial release
